Subject: Re: bug#46834: 28.0.50; byte-compiling the standard counter closure fails

From: Pip Cet <[email-masked]>
Date: Mon, 1 Mar 2021 15:16:22 +0000

On Mon, Mar 1, 2021 at 2:34 PM Stefan Monnier <[email-masked]> wrote:
> and notice that the counter is not shared between the two functions :-(

I'd noticed that, but figured Stefan wouldn't accept "partial byte
compilation" as a reasonable bug scenario :-)

That said, the comment in byte-compile--reify-function is incorrect:
since closures use alists and "let" uses proper lists, we can't share
structure between them, so the return value will be equivalent to a
snapshot of FUN, not "equal" to FUN itself. OTOH, even changing that
wouldn't help as byte-compiled closures use a third format to store
the bindings, IIUC.

I've been meaning to ask, is there anything like an XFAIL test in our
current framework? This would be an excellent use for one of those.

Pip